Skip to main content
GET
List all subscription invoices

Authorizations

X-SALESBRICKS-KEY
string
header
required

API key for authentication

Path Parameters

subscription_id
string
required
Pattern: ^([a-zA-Z\d\-]+)$

Query Parameters

limit
integer

Number of results to return per page.

offset
integer

The initial index from which to return the results.

ordering
enum<string>

Order results by field (prefix with '-' for descending order)

Available options:
-amount,
-created_at,
-due_at,
amount,
created_at,
due_at
scope
enum<string>

Filter invoices: past / current by billing period (starts_at vs today); due by invoice status (unpaid: outstanding, due, past due, partially paid, unpaid); all for no extra filter.

Available options:
all,
current,
due,
past

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=200&limit=100"